<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>VariablesPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="VariablesPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VariablesPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="VariablesPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables</div>
<h2 title="Interface VariablesPackage.Literals" class="title">Interface VariablesPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables">VariablesPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">VariablesPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.Literals.html#EXPRESSION_CONTEXT">EXPRESSION_CONTEXT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/impl/ExpressionContextImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.impl"><code><em>Expression Context</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.Literals.html#EXPRESSION_CONTEXT__BASE_NAMED_ELEMENT">EXPRESSION_CONTEXT__BASE_NAMED_ELEMENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Named Element</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.Literals.html#VAR">VAR</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/impl/VarImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.impl"><code><em>Var</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.Literals.html#VAR__BASE_PROPERTY">VAR__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.Literals.html#VAR__DIR">VAR__DIR</a></span></code>
<div class="block">The meta object literal for the '<em><b>Dir</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.Literals.html#VARIABLE_DIRECTION_KIND">VARIABLE_DIRECTION_KIND</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariableDirectionKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables"><code><em>Variable Direction Kind</em></code></a>' enum.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="VAR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VAR</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass VAR</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/impl/VarImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.impl"><code><em>Var</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/impl/VarImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.impl"><code>VarImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/impl/VariablesPackageImpl.html#getVar--"><code>VariablesPackageImpl.getVar()</code></a></dd>
</dl>
</li>
</ul>
<a name="VAR__DIR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VAR__DIR</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute VAR__DIR</pre>
<div class="block">The meta object literal for the '<em><b>Dir</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="VAR__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>VAR__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference VAR__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="EXPRESSION_CONTEXT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXPRESSION_CONTEXT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass EXPRESSION_CONTEXT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/impl/ExpressionContextImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.impl"><code><em>Expression Context</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/impl/ExpressionContextImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables.impl"><code>ExpressionContextImpl</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/impl/VariablesPackageImpl.html#getExpressionContext--"><code>VariablesPackageImpl.getExpressionContext()</code></a></dd>
</dl>
</li>
</ul>
<a name="EXPRESSION_CONTEXT__BASE_NAMED_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>EXPRESSION_CONTEXT__BASE_NAMED_ELEMENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference EXPRESSION_CONTEXT__BASE_NAMED_ELEMENT</pre>
<div class="block">The meta object literal for the '<em><b>Base Named Element</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="VARIABLE_DIRECTION_KIND">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>VARIABLE_DIRECTION_KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum VARIABLE_DIRECTION_KIND</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariableDirectionKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables"><code><em>Variable Direction Kind</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariableDirectionKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables"><code>VariableDirectionKind</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/impl/VariablesPackageImpl.html#getVariableDirectionKind--"><code>VariablesPackageImpl.getVariableDirectionKind()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/VariablesPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.VSL.Variables"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/VSL/Variables/VariablesPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="VariablesPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
